---
layout: default
title: Installation methods for GitLab
suppress_header: true
extra_css:
  - installation.css
---

<div class="wrapper">
  <div class="installation-container">
    <div class="installation-overlay">
      <div class="installation-content">
        <h1>GitLab Installation</h1>
        <p>Below are all the options to create a GitLab installation.</p>
        <p>If you're not sure which method to choose, please use the Omnibus package installation method.</p>
      </div>
    </div>
  </div>

<div id="content">
  <div class="wrapper container">
    <div class="col-md-12 col-sm-12" role="main">
      <div class="method">
        <h2 id="#omnibus">Omnibus package installation (recommended)</h2>
        <p>
          We recommend installing the Omnibus package instead of installing GitLab from source.
          <a href= "https://twitter.com/awc737/status/517902687052898305">Omnibus GitLab takes just 2 minutes to install</a> and is packaged in the popular deb and rpm formats.
          Compared to an installation from source, the Omnibus package is faster to install and upgrade, more reliable to upgrade and maintain, and it shortens the response time for our subscribers' issues.
          A package contains GitLab and all its depencies (Ruby, PostgreSQL, Redis, Nginx, Unicorn, etc.).
          For troubleshooting and configuration options please see the <a href="https://gitlab.com/gitlab-org/omnibus-gitlab/blob/master/README.md">Omnibus GitLab readme</a>.
        </p>
        <ul>
          <li><p><a href="/downloads">Gitlab Community Edition packages</a></p></li>
          <li><p><a href="https://gitlab.com/subscribers/gitlab-ee/blob/master/doc/install/packages.md">Gitlab Enterprise Edition packages</a> (subscribers only)</p></li>
        </ul>
      </div>

      <div class="method">
        <h2>Other official installation methods</h2>
        <ul>
          <li><p><a href="https://gitlab.com/gitlab-org/gitlab-development-kit/blob/master/README.md">Gitlab Development Kit</a> lets you install GitLab for development purposes, it is isolated in a directory and runs with a single make command</p></li>
          <li><p>
            <a href="https://gitlab.com/gitlab-org/cookbook-omnibus-gitlab/blob/master/README.md">GitLab Omnibus Cookbook</a> can be used for production <a href="https://www.getchef.com/chef/">Chef</a> installations
          </p></li>

          <li><p><a href="https://gitlab.com/gitlab-org/gitlab-ce/blob/master/doc/install/installation.md">Manual installation guide</a> to set up a production server on Ubuntu with detailed and complete step-by-step instructions</p></li>

          <li><p><a href="https://gitlab.com/gitlab-org/gitlab-ce/tree/master/docker">Docker</a> files to create a production image based on the Omnibus packages</p></li>
        </ul>
      </div>

      <div class="method">
        <h2>One-click install providers</h2>
        <ul>
          <li><p><a href="https://www.digitalocean.com/features/one-click-apps/gitlab/">Digital Ocean 1-Click Application Install</a> gets a new server up in 55 seconds with fast SSD disks. We recommend selecting a droplet with <a href="https://gitlab.com/gitlab-org/gitlab-ce/blob/master/doc/install/requirements.md#memory">2GB of memory</a>. Check their <a href="https://www.digitalocean.com/company/blog/host-your-git-repositories-in-55-seconds-with-gitlab/">blog post</a> and a nice <a href='https://www.digitalocean.com/community/tutorials/how-to-use-the-gitlab-one-click-install-image-to-manage-git-repositories'>tutorial</a></p></li>

          <li><p><a href="https://developers.google.com/cloud/gitlab/">Google Compute Engine</a> offers a click to deploy GitLab template</p></li>

          <li><p><a href="http://blog.cloud66.com/installing-gitlab-ubuntu/">Cloud 66 deployment and management</a> to deploy GitLab to your own server or any cloud (DigitalOcean/AWS/Rackspace/GCE/etc.) and then manage it with database backups, scaling and more</p></li>

          <li><p><a href="https://packager.io/gh/gitlabhq/gitlabhq">Packager.io</a> provides autogenerated debian or rpm packages of GitLab for Debian, Ubuntu, and CentOS/RHEL</p></li>

          <li><p><a href="https://twoub.io/en/templates/gitlab">twoub</a> lets you deploy GitLab on their cloud service hosted in Germany</p></li>
        </ul>
      </div>

      <div class="method">
        <h2>Community installation methods</h2>
        <ul>
          <li><p><a href="https://gitlab.com/gitlab-org/gitlab-recipes/">GitLab recipes</a> repository with unofficial guides for using GitLab with different software (operating systems, webservers, etc.) than the official version</p></li>

          <li><p><a href="https://github.com/gitlabhq/gitlab-public-wiki/wiki/Unofficial-Installation-Guides">Unofficial installation guides</a> on the public wiki to install GitLab on different operating systems</p></li>

          <li><p><a href="https://github.com/sameersbn/docker-gitlab">Docker</a> image made by Sameer Naik based on the source installation method</p></li>

          <li><p><a href="https://forge.puppetlabs.com/modules?utf-8=%E2%9C%93&sort=rank&q=gitlab">Puppet</a> has multiple modules, <a href="https://forge.puppetlabs.com/sbadia/gitlab">Sebastien Badia made a popular one</a> and <a href="https://forge.puppetlabs.com/spuder/gitlab">Spencer Owen made one that work with 7.0 and up</a></p></li>

          <li><p><a href="https://github.com/tuminoid/gitlab-installer">Vagrant</a> option by Tuomo Tanskanen (also available for <a href="https://github.com/tuminoid/gitlabci-installer">GitLab CI</a>)</p></li>
        </ul>
      </div>

      <div class="method">
        <h2>GitLab as a Service - Hosted GitLab</h2>
        <ul>
          <li><p>
            <a href="https://gitlab.com">GitLab.com</a> free, hosted GitLab by GitLab B.V., also the canonical location of the GitLab source code
          </p></li>

          <li><p><a href="https://githost.io/">GitHost.io</a> private, managed GitLab instances in the Cloud</p></li>

          <li><p><a href="http://blog.geekli.st/post/79731331374/free-private-git-repositories-come-out-of-beta-on">Geeklist</a> is a social platform for developers</p></li>

          <li><p><a href="http://cloudhost.io/">Cloudhost.io</a> offers a multi tenant service</p></li>

        </ul>
      </div>

      <div class="method">
        <h2>Third-party applications</h2>
        <ul>
          <li><p><a href="/applications">There are several third-party applications that support GitLab.</a></p></li>
        </ul>
      </div>

    </div> <!-- col-md-12 -->
  </div> <!-- wrapper-container -->
</div> <!-- content -->
